\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows.meta,decorations.markings}
\begin{document}
\begin{tikzpicture}[>=latex]
  % X axis
  \draw[->] (0,0) -- (5,0) node[right] {X};

  % Y axis
  \draw[->] (0,0) -- (0,4) node[above] {Y};

  % conductor length
  \def \l{4};
  
  % conductor 1
  \def \pa{1};
  \begin{scope}[decoration={
    markings,% switch on markings
    mark=% actually add a mark
      between positions 0.1 and 0.9 step 0.2
      with
      {
        \draw[blue] (0,0) circle (1pt);
      }
    }]
    \draw[line width=2pt,orange,postaction={decorate}] (\pa,-0.2) -- ++(0,\l)
    coordinate (A) node [above] {conductor 1};
    
    % magnetic field from other conductor
    \node[blue] at(A) [below left] {$\vec{B}_2$};

    % intensity
    \draw[->] (\pa-0.2,0.1) -- node[left] {$\vec{I}_1$} ++(0,1);

    % force
    \draw[->] (\pa,\l/2) -- node [above] {$\vec{F}_1$} ++(1,0);
  \end{scope}
  
  % conductor 2
  \def \pb{4};
  \begin{scope}[decoration={
    markings,% switch on markings
    mark=% actually add a mark
      between positions 0.1 and 0.9 step 0.2
      with
      {
        \draw[blue] (-2pt,-2pt) -- (2pt,2pt);
        \draw[blue] (2pt,-2pt) -- (-2pt,2pt);
      }
    }]
    \draw[line width=2pt,orange,postaction={decorate}] (\pb,-0.2) -- ++(0,\l)
    coordinate (B) node [above] {conductor 2};

    % magnetic field from other conductor
    \node[blue] at(B) [below right] {$\vec{B}_1$};

    % intensity
    \draw[->] (\pb+0.2,0.1) --  node[right] {$\vec{I}_2$} ++(0,1);

    % force
    \draw[->] (\pb,\l/2) -- node [above] {$\vec{F}_2$} ++(-1,0);
  \end{scope}

  % separation
  \draw[<->,dashed] (\pa,\l/3) -- node [above] {d} (\pb,\l/3);
  
\end{tikzpicture}
\end{document}
